Bug 1570879 - [abrt] gnome-calendar: gcal_date_chooser_day_set_date(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: gcal_date_chooser_day_set_date(): gnome-calendar kille...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c5f1086c89635ed23159379d183...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 15:37 UTC by Luis
Modified: 2018-08-02 15:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:32:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.74 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: cgroup (365 bytes, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: core_backtrace (29.81 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: dso_list (22.43 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: environ (1.82 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: maps (107.84 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: mountinfo (4.18 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: open_fds (1.53 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details
File: var_log_messages (11.29 KB, text/plain)
2018-04-23 15:37 UTC, Luis
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab 276 0 None None None 2018-04-24 01:47:11 UTC

Description Luis 2018-04-23 15:37:23 UTC
Description of problem:
Description of problem:
Gnome-Calendar crashes on mouse cursor selection of scheduled event

Version-Release number of selected component (if applicable):
gnome-calendar: Version 3.28.1

How reproducible:
Every time

Steps to Reproduce:
1. Open Calendar
2. Click on any event

Actual results:
Application closes upon selection of event

Expected results:
Open even to allow review/edit

Additional info:
Linux localhost.localdomain 4.16.2-300.fc28.x86_64 #1 SMP Thu Apr 12 14:58:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Version-Release number of selected component:
gnome-calendar-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gcal_date_chooser_day_set_date
executable:     /usr/bin/gnome-calendar
journald_cursor: s=2bbcd1f9efeb4e198e478416c50454d1;i=e76f;b=ff1c041acbad4d75b08a753ae7d406d7;m=120e2f373f;t=56a85a756a10b;x=7001a9804a8e1b9b
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gcal_date_chooser_day_set_date at ../src/gcal-date-chooser-day.c:413
 #1 calendar_compute_days at ../src/gcal-date-chooser.c:153
 #2 gcal_date_chooser_set_date at ../src/gcal-date-chooser.c:747
 #3 multi_choice_changed at ../src/gcal-date-chooser.c:407
 #9 g_object_notify_by_spec_internal at gobject.c:1175
 #10 g_object_notify_by_pspec at gobject.c:1285
 #11 set_value at ../src/gcal-multi-choice.c:122
 #12 gcal_multi_choice_set_value at ../src/gcal-multi-choice.c:447
 #13 gcal_date_chooser_set_date at ../src/gcal-multi-choice.h:28
 #14 multi_choice_changed at ../src/gcal-date-chooser.c:407

Comment 1 Luis 2018-04-23 15:37:27 UTC
Created attachment 1425685 [details]
File: backtrace

Comment 2 Luis 2018-04-23 15:37:28 UTC
Created attachment 1425686 [details]
File: cgroup

Comment 3 Luis 2018-04-23 15:37:29 UTC
Created attachment 1425687 [details]
File: core_backtrace

Comment 4 Luis 2018-04-23 15:37:30 UTC
Created attachment 1425688 [details]
File: cpuinfo

Comment 5 Luis 2018-04-23 15:37:31 UTC
Created attachment 1425689 [details]
File: dso_list

Comment 6 Luis 2018-04-23 15:37:32 UTC
Created attachment 1425690 [details]
File: environ

Comment 7 Luis 2018-04-23 15:37:33 UTC
Created attachment 1425691 [details]
File: exploitable

Comment 8 Luis 2018-04-23 15:37:34 UTC
Created attachment 1425692 [details]
File: limits

Comment 9 Luis 2018-04-23 15:37:36 UTC
Created attachment 1425693 [details]
File: maps

Comment 10 Luis 2018-04-23 15:37:37 UTC
Created attachment 1425694 [details]
File: mountinfo

Comment 11 Luis 2018-04-23 15:37:38 UTC
Created attachment 1425695 [details]
File: open_fds

Comment 12 Luis 2018-04-23 15:37:39 UTC
Created attachment 1425696 [details]
File: proc_pid_status

Comment 13 Luis 2018-04-23 15:37:40 UTC
Created attachment 1425697 [details]
File: var_log_messages

Comment 14 Fedora Blocker Bugs Application 2018-04-23 16:14:24 UTC
Proposed as a Blocker for 28-final by Fedora user roca using the blocker tracking app because:

 Removes core functionality of gnome-calendar, crashing the application

Comment 15 Kalev Lember 2018-04-23 17:07:55 UTC
Could you report the crash upstream at https://gitlab.gnome.org/GNOME/gnome-calendar/issues please?

Comment 16 Adam Williamson 2018-04-23 17:22:47 UTC
frame 13 to me looks an awful lot like something's treating a timestamp as the 'day' in a y/m/d triplet:

#13 0x000055c752718a6c in gcal_date_chooser_set_date (self=self@entry=0x55c754590860, date=date@entry=0x0) at ../src/gcal-multi-choice.h:28
        y1 = 2025
        m1 = 12
        d1 = 31
        y2 = 1
        m2 = 0
        d2 = 1415120992

Comment 17 František Zatloukal 2018-04-23 17:48:16 UTC
Discussed during the 2018-04-23 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made:

"this is close, but we agreed it doesn't quite meet the definition of "basic functionality" - people testing in meeting were able to make gnome-calendar crash by poking at it a bit, but no-one else could exactly reproduce lroca's crash, and just the basics of creating and editing events don't reliably crash the app. We will consider an FE if crasher fix(es) appear"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-23/f28-blocker-review.2018-04-23-16.00.log.txt

Comment 18 František Zatloukal 2018-04-23 17:48:43 UTC
Discussed during the 2018-04-23 blocker review meeting: [1]

The decision to classify this bug as an RejectedBlocker was made:

"this is close, but we agreed it doesn't quite meet the definition of "basic functionality" - people testing in meeting were able to make gnome-calendar crash by poking at it a bit, but no-one else could exactly reproduce lroca's crash, and just the basics of creating and editing events don't reliably crash the app. We will consider an FE if crasher fix(es) appear"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-23/f28-blocker-review.2018-04-23-16.00.log.txt

Comment 19 Luis 2018-04-24 01:49:39 UTC
(In reply to Kalev Lember from comment #15)
> Could you report the crash upstream at
> https://gitlab.gnome.org/GNOME/gnome-calendar/issues please?

Reported:
<https://gitlab.gnome.org/GNOME/gnome-calendar/issues/276>

Upstream link has been added to current report.

Comment 20 Ankur Sinha (FranciscoD) 2018-06-12 08:54:15 UTC
Similar problem has been detected:

Seems reproducible.

1. Select a whole month
2. Edit the event instead of filling in the popup
3. Click the "to" calendar to pick a date
4. watch me crash!

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gcal_date_chooser_day_set_date
executable:     /usr/bin/gnome-calendar
journald_cursor: s=d80c6f1aa13741469167730bf6c34db1;i=51ad45;b=a5f03dd3ea9c42a2a94cbfb37ca6ca22;m=29b18e457;t=56e6de5716880;x=9bb9acc92d48a0bf
kernel:         4.17.0-200.fc28.x86_64
package:        gnome-calendar-3.28.2-1.fc28
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Igor Raits 2018-08-02 15:32:15 UTC
Please test with latest updates and reopen if still reproducible.


Note You need to log in before you can comment on or make changes to this bug.